geos::noding::MCIndexNoder Class Reference

Nodes a set of SegmentString using a index based on MonotoneChain and a SpatialIndex. More...

`#include <MCIndexNoder.h>`

Inheritance diagram for geos::noding::MCIndexNoder:

## Public Member Functions

| MCIndexNoder (SegmentIntersector *nSegInt=nullptr, double p_overlapTolerance=0.0)
std::vector< index::chain::MonotoneChain > & | getMonotoneChains ()
| Return a reference to this instance's std::vector of MonotoneChains.
index::SpatialIndex & | getIndex ()
std::vector< SegmentString * > * | getNodedSubstrings () const override
| Returns a Collection of fully noded `SegmentString`s.
void | computeNodes (std::vector< SegmentString * > *inputSegmentStrings) override
| Computes the noding for a collection of `SegmentString`s.
Public Member Functions inherited from geos::noding::SinglePassNoder
| SinglePassNoder (SegmentIntersector *nSegInt=nullptr)
virtual void | setSegmentIntersector (SegmentIntersector *newSegInt)
| Sets the SegmentIntersector to use with this noder.

## Additional Inherited Members

Protected Attributes inherited from geos::noding::SinglePassNoder
SegmentIntersector * | segInt
| Externally owned.

## Detailed Description

Nodes a set of SegmentString using a index based on MonotoneChain and a SpatialIndex.

The SpatialIndex used should be something that supports envelope (range) queries efficiently (such as a Quadtree or STRtree).

Last port: noding/MCIndexNoder.java rev. 1.4 (JTS-1.7)

## Member Function Documentation

## computeNodes()

void geos::noding::MCIndexNoder::computeNodes | ( | std::vector< SegmentString * > * | segStrings | ) |

override virtual

Computes the noding for a collection of `SegmentString`s.

Parameters

  segStrings | a collection of `SegmentString`s to node

Implements geos::noding::SinglePassNoder.

## getNodedSubstrings()

std::vector< SegmentString * > * geos::noding::MCIndexNoder::getNodedSubstrings | ( |  | ) | const

inline override virtual

Returns a Collection of fully noded `SegmentString`s.

The SegmentStrings have the same context as their parent.

Returns
  a Collection of SegmentStrings

Implements geos::noding::SinglePassNoder.

The documentation for this class was generated from the following file:

- MCIndexNoder.h